package test;

import weaver.common.DateUtil;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/9
 * @Version V1.0
 **/
public class MainTest {

    public static void main(String[] args) {
        String columns = " ryid, ny, bh, xm, xb, yglb, zgzt, zzmm, zjhm, bgyx, zw, rylb, bm, gw, dlm, zhlx, zzh, zt, zp, bgdd, sfzhm, csrq, nl, sg, tz, mz, jg, csd, jkzk, hjdz, xtxdz, hklb, hyzk, lzsj, zjxy, rtsj, cjdpsj, lxzz, yddh, gryx, jjlxrxm, jjlxrgx, jjlxrdh, zgxl, zgxw, zgxlxlzy, byyxlx, zyjszgmc, zgxlxwbyyx, yxkh, yxkhxqc, hzsgccrcxx, grsf, gl, kjshgl, sl, dnzw, ghzw, rzrq, htksrq, htjsrq, syqksrq, syqjzrq, zzrq, sccjgzsj, sfyjsrz, zyjszgxl, zyjszgjb, ywzwxl, ywzwcj, pzqssj, pzzzsj, ldgxszdw, sxksrq, pzryszdwdrzwgw, sxdqrq, sxzhgzr, zdxl, zdzy, zdyxlx, zdyx, smdj, jrdqbmsj, jrdqgwsj, gwlb, zyjndj, szbz, sfwbzc, ddid, formmodeid, modedatacreater";
        String values = "243, '2025-05', 'cs001', '贾浩浩', '男', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '测试部门', NULL, 'cs003', NULL, 1, '试用', 1, '系统新增地点1', NULL, NULL, 1, 0, 0, NULL, NULL, NULL, '健康', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '经济师', NULL, NULL, NULL, NULL, NULL, 0.00, NULL, 0.01, NULL, NULL, '2025-05-16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,Null,NUll,NUll, NULL, NULL, 77, 1";
        // 统计列名数量
        String[] columnArray = columns.split(",");
        List<String> columnList = new ArrayList<>();
        for (String col : columnArray) {
            columnList.add(col.trim());
        }
        int columnCount = columnList.size();

        // 统计值的数量
        List<String> valueList = new ArrayList<>();
        Pattern pattern = Pattern.compile("'[^']*'|[^',]+");
        Matcher matcher = pattern.matcher(values);
        while (matcher.find()) {
            valueList.add(matcher.group().trim());
        }
        int valueCount = valueList.size();

        System.out.println("列名数量: " + columnCount);
        System.out.println("值的数量: " + valueCount);

        if (columnCount > valueCount) {
            System.out.println("列名数量多于值的数量，可能遗漏了值。");
        } else if (columnCount < valueCount) {
            System.out.println("值的数量多于列名数量，可能多写了值。");
        } else {
            System.out.println("列名数量和值的数量匹配。");
        }


        String sql = "insert into uf_resourcesnip(ryid,ny,bh,xm,xb,yglb,zgzt,zzmm,zjhm,bgyx,zw,rylb,bm,gw,dlm,zhlx,zzh,zt,bgdd,sfzhm,csrq,nl,sg," +
            "tz,mz,jg,csd,jkzk,hjdz,xtxdz,hklb,hyzk,lzsj,zjxy,rtsj,cjdpsj,lxzz,yddh,gryx,jjlxrxm,jjlxrgx,jjlxrdh,zgxl,zgxw,zgxlxlzy,byyxlx,zyjszgmc,zgxlxwbyyx," +
            "yxkh,yxkhxqc,hzsgccrcxx,grsf,gl,kjshgl,sl,dnzw,ghzw,rzrq,htksrq,htjsrq,syqksrq,syqjzrq,zzrq,sccjgzsj,sfyjsrz,zyjszgxl,zyjszgjb,ywzwxl,ywzwcj," +
            "pzqssj,pzzzsj,ldgxszdw,sxksrq,pzryszdwdrzwgw,sxdqrq,sxzhgzr,zdxl,zdzy,zdyxlx,zdyx,smdj,jrdqbmsj,jrdqgwsj,gwlb,zyjndj,szbz,sfwbzc,ddid,formmodeid," +
            "modedatacreater,modedatacreatedate,modedatacreatetime) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?," +
            "?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";



    }
}
